pcl::keypoints::internal::AgastApplyNonMaxSuppresion< Out > Struct Template Reference

`#include <pcl/keypoints/agast_2d.h>`

## Public Member Functions

| AgastApplyNonMaxSuppresion (const std::vector< unsigned char > &image_data, const pcl::PointCloud< pcl::PointUV > &tmp_cloud, const pcl::keypoints::agast::AbstractAgastDetector::Ptr &detector, pcl::PointCloud< Out > &output)

## Detailed Description

### template<typename Out>
struct pcl::keypoints::internal::AgastApplyNonMaxSuppresion< Out >

Definition at line 513 of file agast_2d.h.

## Constructor & Destructor Documentation

## AgastApplyNonMaxSuppresion()

template<typename Out>

pcl::keypoints::internal::AgastApplyNonMaxSuppresion< Out >::AgastApplyNonMaxSuppresion | ( | const std::vector< unsigned char > & | image_data,
|  | const pcl::PointCloud< pcl::PointUV > & | tmp_cloud,
|  | const pcl::keypoints::agast::AbstractAgastDetector::Ptr & | detector,
|  | pcl::PointCloud< Out > & | output
| ) |  |

inline

Definition at line 515 of file agast_2d.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/keypoints/include/pcl/keypoints/agast_2d.h